Rename isqrt to FloorSqrt (following ilog renaming to FloorLog)
Status: Closed Start date: 23 Nov 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 1.10 hour

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 1.60 hour

Description

Rename isqrt to FloorSqrt (following ilog renaming to FloorLog)

History

#1 - 24 Nov 2015 13:40 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 1.10 h

Not too hard.  Renamed isqrt to FloorSqrt (in both CoCoALib and CoCoA-5); changed tests, examples, doc.

Status: feedback

#2 - 24 Nov 2015 13:49 - John Abbott

I have now checked in the changes.  Anna, could you verify?  Thanks!

#3 - 24 Nov 2015 14:14 - John Abbott

Should there be a function isqrt in the obsolescent package?

I note that Isqrt is in BackwardCompatible.cpkg5; should it move to the obsolescent package?

#4 - 24 Nov 2015 14:54 - Anna Maria Bigatti

John Abbott wrote:

Should there be a function isqrt in the obsolescent package?

I note that Isqrt is in BackwardCompatible.cpkg5; should it move to the obsolescent package?

 

Yes.

#5 - 24 Nov 2015 15:04 - John Abbott

Anna, do you mean "yes" to both proposals?

#6 - 24 Nov 2015 15:13 - John Abbott
What is the difference between BackwardCompatible.cpkg5 and obsolescent.cpkg5?

#7 - 02 Feb 2016 14:13 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Closing after 2 months in feedback.

Powered by TCPDF (www.tcpdf.org)

09 Apr 2024 2/2

http://www.tcpdf.org

